<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<startup useLegacyV2RuntimeActivationPolicy="true">
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8"/>
	</startup>
	<appSettings>
		<add key="DatabaseAccessKey" value="abc123"/>
	</appSettings>
	<system.serviceModel>
		<bindings>
			<customBinding>
				<binding name="MyWCFHuangsoftSQLBinding" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:30:00" sendTimeout="00:30:00">
					<transactionFlow />
					<binaryMessageEncoding compressionFormat="None">
						<readerQuotas maxBytesPerRead="2147483647" maxArrayLength="2147483647" maxStringContentLength="2147483647" maxDepth="32"/>
					</binaryMessageEncoding>
					<tcpTransport maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" connectionBufferSize="65536" hostNameComparisonMode="StrongWildcard" channelInitializationTimeout="00:01:00" maxBufferSize="2147483647" maxPendingConnections="1000" maxPendingAccepts="100" transferMode="Buffered" listenBacklog="200" portSharingEnabled="false" teredoEnabled="false">
						<connectionPoolSettings groupName="default" leaseTimeout="00:05:00" idleTimeout="00:02:00" maxOutboundConnectionsPerEndpoint="1000" />
					</tcpTransport>
				</binding>
			</customBinding>
		</bindings>
		<client>
			<endpoint address="net.tcp://localhost:16999/HuaShangDatabase" binding="customBinding" bindingConfiguration="MyWCFHuangsoftSQLBinding" contract="WCFHuangsoftSQLService.IMyWCFHuangsoftSQL" name="NetTcpBinding_IMyWCFHuangsoftSQL"/>
		</client>
	</system.serviceModel>
</configuration>